% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plots.R
\name{esgplotbands}
\alias{esgplotbands}
\title{Plot time series percentiles and confidence intervals}
\usage{
esgplotbands(x, ...)
}
\arguments{
\item{x}{A time series object containing the data to plot}

\item{...}{Additional arguments passed to the plotting function}
}
\value{
A plot object
}
\description{
Creates a plot showing time series data with confidence intervals, percentiles, and mean values.
}
\details{
The function creates a plot with:
\itemize{
  \item Mean values as the central line
  \item 95th and 5th percentiles as outer bands
  \item Upper and lower quartiles as inner bands
  \item Confidence intervals based on t-tests
}

The plot uses a color gradient from light yellow to light green for the different bands.
}
\examples{
# Create sample time series
x <- ts(matrix(rnorm(1000), ncol=10), start=0, deltat=1)

# Plot with default settings
esgplotbands(x)

# Plot with custom title
esgplotbands(x, main="Custom Title")

}
