% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plots.R
\name{esgplotshocks}
\alias{esgplotshocks}
\title{Visualize the dependence between Gaussian shocks}
\usage{
esgplotshocks(x, y = NULL)
}
\arguments{
\item{x}{A matrix or list containing two columns of Gaussian shocks}

\item{y}{Optional second matrix or list of Gaussian shocks to compare with x}
}
\value{
A ggplot2 object containing the scatter plot with marginal densities
}
\description{
Creates a scatter plot with marginal density plots to visualize the relationship between two sets of Gaussian shocks.
}
\details{
The function creates a scatter plot of the shocks with marginal density plots on the top and right sides.
If y is provided, both sets of shocks are plotted with different colors (blue for x, red for y).
The marginal density plots show the distribution of shocks along each dimension.
}
\examples{
# Generate sample Gaussian shocks
x <- matrix(rnorm(1000), 500, 2)

# Plot single set of shocks
esgplotshocks(x)

# Plot two sets of shocks for comparison
y <- matrix(rnorm(1000), 500, 2)
esgplotshocks(x, y)

}
